MPD: Data Fields - Functions

MPD 0.20.18

### - o -

- Object() : Java::Object , SLES::Object
- OggDecoder() : OggDecoder
- OggEncoder() : OggEncoder
- OggStreamState() : OggStreamState
- OggSyncState() : OggSyncState
- OggVisitor() : OggVisitor
- OnAccept() : ServerSocket
- OnData() : CurlResponseHandler
- OnDatabaseModified() : DatabaseListener
- OnDatabaseSongRemoved() : DatabaseListener
- OnEnd() : CurlResponseHandler
- OnError() : CurlResponseHandler
- OnHeaders() : CurlResponseHandler
- OnIdle() : FullyBufferedSocket , IdleMonitor
- OnMetadata() : FlacDecoder
- OnMixerVolumeChanged() : MixerListener
- OnModified() : playlist
- OnNfsCallback() : NfsCallback
- OnNfsConnectionDisconnected() : NfsLease
- OnNfsConnectionError() : NfsConnection
- OnNfsConnectionFailed() : NfsLease
- OnNfsConnectionReady() : NfsLease
- OnNfsError() : NfsCallback
- OnNfsFileError() : NfsFileReader
- OnNfsFileOpen() : NfsFileReader
- OnNfsFileRead() : NfsFileReader
- OnOggBeginning() : OggVisitor
- OnOggEnd() : OggVisitor
- OnOggPacket() : OggVisitor
- OnPlayerSync() : PlayerListener
- OnPlayerTagModified() : PlayerListener
- OnQueueModified() : QueueListener
- OnQueueOptionsChanged() : QueueListener
- OnQueueSongStarted() : QueueListener
- OnSocketClosed() : BufferedSocket , HttpdClient
- OnSocketError() : BufferedSocket , HttpdClient
- OnSocketInput() : BufferedSocket , HttpdClient
- OnSocketReady() : BufferedSocket , FullyBufferedSocket , HttpdClient , SocketMonitor
- OnTimeout() : TimeoutMonitor
- OnWrite() : FlacDecoder
- Open() : AudioOutput , AudioOutputSource , AudioOutputWrapper< T > , AvioStream , Database , FallbackPcmResampler , FileDescriptor , FlacPcmImport , GluePcmResampler , HttpdOutput , InputStream , LibsampleratePcmResampler , Mixer , MultipleOutputs , NeighborExplorer , NeighborGlue , NfsConnection , NfsFileReader , PcmChannelsConverter , PcmConvert , PcmExport , PcmFormatConverter , PcmResampler , PcmVolume , PreparedEncoder , PreparedFilter , ServerSocket , SimpleDatabase , SocketMonitor , SoxrPcmResampler , ThreadInputStream
- OpenDirectory() : CompositeStorage , NfsConnection , Storage
- OpenEncoder() : HttpdOutput
- OpenNonBlocking() : FileDescriptor
- OpenReadOnly() : FileDescriptor
- OpenReady() : InputStream
- OpenStream() : ArchiveFile
- OpenUri() : DecoderBridge , DecoderClient
- operator AudioOutput *() : HttpdOutput
- operator bool() : BoundMethod< R(Args...)> , CurlEasy , CurlMulti , FlacStreamDecoder , IcuCompare
- operator const char *() : SocketErrorMessage
- operator const struct sockaddr *() : AllocatedSocketAddress
- operator const T &() : Manual< T >
- operator const_pointer() : BasicStringBuffer< T, CAPACITY >
- operator const_pointer_type() : NarrowPath
- operator FLAC__Metadata_Chain *() : FlacMetadataChain
- operator ogg_stream_state &() : OggStreamState
- operator Path() : AllocatedPath
- operator SLObjectItf() : SLES::Object
- operator SocketAddress() : AllocatedSocketAddress , StaticSocketAddress
- operator T() : Java::GlobalRef< T > , Java::LocalRef< T > , Java::TrivialRef< T >
- operator T&() : Manual< T >
- operator vorbis_comment &() : VorbisComment
- operator vorbis_comment *() : VorbisComment
- operator!=() : AllocatedPath , AllocatedSocketAddress , AllocatedString< T > , AudioFormat , Domain , IterableSplitString::Iterator , SocketAddress , StaticSocketAddress , Tag::const_iterator
- operator()() : BoundMethod< R(Args...)> , DeleteDisposer , Id3Delete , LazyRandomEngine , PlaylistInfo::CompareName , Song::Disposer , TagLess , UpnpIxmlDeleter
- operator*() : IterableSplitString::Iterator , Tag::const_iterator
- operator+() : ScopeExitTag , SignedSongTime , SongTime
- operator++() : IterableSplitString::Iterator , Tag::const_iterator
- operator-() : SignedSongTime , SongTime
- operator--() : Tag::const_iterator
- operator->() : IterableSplitString::Iterator , Manual< T > , Tag::const_iterator
- operator=() : AllocatedArray< T > , AllocatedPath , AllocatedSocketAddress , AllocatedString< T > , ConfigBlock , ConfigParam , CriticalSection , CurlEasy , CurlMulti , CurlRequest , CurlSlist , DirectoryReader , Domain , EPollFD , EventFD , EventPipe , ExpatParser , FlacStreamDecoder , ForeignFifoBuffer< T > , HugeAllocation , IcuCompare , IcyInputStream , Java::GlobalRef< T > , Java::LocalRef< T > , Java::TrivialRef< T > , LazyRandomEngine , MusicChunk , MusicPipe , OggSyncState , Path , PeakBuffer , PosixCond , PosixMutex , ProxyInputStream , Pulse::LockGuard , Queue , Response , ReusableArray< T, M > , ScopeExitGuard< F > , ScopeUnlock , SignalFD , SliceBuffer< T > , StaticSocketAddress , StringView , Tag , TagBuilder , TagItem , TextInputStream , Tokenizer , UPnPDevice , UPnPDeviceDirectory , UPnPDirObject , VorbisComment , WindowsCond , WorkQueue< T >
- operator==() : AllocatedPath , AllocatedSocketAddress , AllocatedString< T > , AudioFormat , Domain , FileDescriptor , IcuCompare , IterableSplitString::Iterator , SocketAddress , StaticSocketAddress , Tag::const_iterator , ThreadId
- operator[]() : AllocatedArray< T > , AllocatedString< T > , BasicStringBuffer< T, CAPACITY > , ConstBuffer< T > , SocketSet , WritableBuffer< T >
- OptionDef() : OptionDef
- OptionParser() : OptionParser
- OpusReader() : OpusReader
- OrderToPosition() : Queue
- OrMask() : MaskMonitor
- OutputStream() : OutputStream